from django.forms import ModelForm
from django.contrib.auth.models import User

from djadhere.forms import ReadOnlyModelForm
from .models import Profile


class UserCreateForm(ModelForm):
    class Meta:
        model = User
        fields = ('username', 'first_name', 'last_name', 'email',)


class UserChangeForm(ReadOnlyModelForm):
    #def __init__(self, *args, **kwargs):
    #    super().__init__(*args, **kwargs)
    #    for key in self.Meta.readonly_fields:
    #        self.fields[key].disabled = True

    class Meta:
        model = User
        fields = ('username', 'first_name', 'last_name', 'email',)
        readonly_fields = ('username', 'first_name', 'last_name',)


class ProfileForm(ModelForm):
    class Meta:
        model = Profile
        fields = ('phone_number', 'address',)
