from django import forms

from djadhere.utils import StringWidget
from .models import Adhesion


class AdhesionForm(forms.Form):
    adherent = forms.BooleanField(label='Adhérent ?')


class AdhesionAdminForm(forms.ModelForm):
    adherent_id = forms.CharField(disabled=True, label='Numéro d’adhérent')

    class Meta:
        model = Adhesion
        exclude = ()

    def __init__(self, *args, **kwargs):
        super().__init__(*args, **kwargs)
        if self.instance.id:
            self.fields['adherent_id'].initial = self.instance.id
        else:
            self.fields['adherent_id'].initial = 'Veuillez sauvegarder pour obtenir un numéro d’adhérent.'
            self.fields['adherent_id'].widget = StringWidget()

    def has_changed(self):
        return True
