from django.conf.urls import url

from . import views


urlpatterns = [
    # User views
    url(r'^$', views.user, name='adhesion-detail-user'),
    url(r'^asso/(?P<pk>[0-9]+)/$', views.corporation, name='corporation-detail-user'),
    # Admin views
    url(r'^admin/users/$', views.UserList.as_view(), name='user-list'),
    url(r'^admin/users/add/$', views.user_edit, name='user-add'),
    url(r'^admin/users/(?P<pk>[0-9]+)/$', views.UserDetail.as_view(), name='user-detail'),
    url(r'^admin/users/(?P<pk>[0-9]+)/edit/$', views.user_edit, name='user-edit'),
    url(r'^admin/corporations/$', views.CorporationList.as_view(), name='corporation-list'),
    url(r'^admin/corporations/add/$', views.CorporationCreate.as_view(), name='corporation-add'),
    url(r'^admin/corporations/(?P<pk>[0-9]+)/$', views.CorporationDetail.as_view(), name='corporation-detail'),
    url(r'^admin/corporations/(?P<pk>[0-9]+)/edit/$', views.CorporationUpdate.as_view(), name='corporation-edit'),
    url(r'^admin/adhesions/$', views.AdhesionList.as_view(), name='adhesion-list'),
    url(r'^admin/adhesions/(?P<pk>[0-9]+)/$', views.AdhesionDetail.as_view(), name='adhesion-detail'),
]
