from django.forms import ModelForm
from django.utils import timezone

from django_select2.forms import Select2Widget

from djadhere.forms import ReadOnlyModelForm
from .models import Service, ResourceAllocation


class ServiceForm(ModelForm):
    class Meta:
        model = Service
        fields = ('adhesion', 'service_type', 'label', 'notes', 'active',)
        widgets = {
            'adhesion': Select2Widget(),
        }


class ResourceAllocationForm(ModelForm):
    class Meta:
        model = ResourceAllocation
        fields = ('service', 'resource',)
        widgets = {
            'service': Select2Widget(),
            'resource': Select2Widget(),
        }
