from django.conf.urls import url

from . import views


urlpatterns = [
    # User views
    url(r'^services/(?P<pk>[0-9]+)/$', views.ServiceDetail.as_view(template_name='services/service_detail_user.html'), name='service-detail-user'),
    # Admin views
    url(r'^admin/services/$', views.ServiceList.as_view(), name='service-list'),
    url(r'^admin/services/(?P<pk>[0-9]+)/$', views.ServiceDetail.as_view(), name='service-detail'),
    url(r'^admin/services/add/$', views.ServiceCreate.as_view(), name='service-add'),
    url(r'^admin/services/(?P<pk>[0-9]+)/edit/$', views.ServiceUpdate.as_view(), name='service-edit'),
    url(r'^admin/services/(?P<pk>[0-9]+)/allocate/$', views.ServiceAllocate.as_view(), name='service-allocate'),
    url(r'^admin/servicetypes/$', views.ServiceTypeList.as_view(), name='servicetype-list'),
    url(r'^admin/servicetypes/add/$', views.ServiceTypeCreate.as_view(), name='servicetype-add'),
    url(r'^admin/servicetypes/(?P<pk>[0-9]+)/$', views.ServiceTypeDetail.as_view(), name='servicetype-detail'),
    url(r'^admin/servicetypes/(?P<pk>[0-9]+)/edit/$', views.ServiceTypeUpdate.as_view(), name='servicetype-edit'),
    url(r'^admin/ip/$', views.IPResourceList.as_view(), name='ip-list'),
    url(r'^admin/ip/(?P<pk>[0-9]+)/$', views.IPResourceDetail.as_view(), name='ip-detail'),
    url(r'^admin/ip/(?P<pk>[0-9]+)/allocate/$', views.IPResourceAllocate.as_view(), name='ip-allocate'),
    url(r'^admin/allocations/(?P<pk>[0-9]+)/deallocate/$', views.ResourceAllocationDeallocate.as_view(), name='deallocate'),
]
